<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node42.html" />
<link rel="prev" href="site-list.html" />
<link rel="parent" href="front.html" />
<link rel="next" href="node42.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>9 Set up cron</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="8 create a site-wide"
  href="site-list.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="10 start the Mailman"
  href="node42.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="site-list.html">8 Create a site-wide</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node42.html">10 Start the Mailman</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION001900000000000000000">
9 Set up cron</a>
</h1>

<p>
Several Mailman features occur on a regular schedule, so you must set up
<b class="program">cron</b> to run the right programs at the right time<a name="tex2html6"
  href="#foot580"><sup>6</sup></a>.

<p>
If your version of crontab supports the <b class="programopt">-u</b> option, you must be
root to do this next step.  Add <span class="file"><var>$prefix</var>/cron/crontab.in</span> as a
crontab entry by executing these commands:

<p>
<div class="verbatim"><pre>
    % cd $prefix/cron
    % crontab -u mailman crontab.in
</pre></div>

<p>
If you used the <b class="programopt">--with-username</b> option, use that user name
instead of <code>mailman</code> for the <b class="programopt">-u</b> argument value.  If your
crontab does not support the <b class="programopt">-u</b> option, try these commands:

<p>
<div class="verbatim"><pre>
    % cd $prefix/cron
    % su - mailman
    % crontab crontab.in
</pre></div>

<p>
<div class="warning"><b class="label">Warning:</b>

If you accepted the defaults for the <b class="programopt">--with-username</b> option
and for the name of the site list, and one of the cron jobs ever encounters an
error, the cron daemon will mail the error output to the 'mailman' user and
it will most likely be delivered to the 'mailman' site list and possibly not
be accepted.  For this reason it is a good idea to insert

<p>
<div class="verbatim"><pre>
    MAILTO=user@example.com
</pre></div>

<p>
or

<p>
<div class="verbatim"><pre>
    MAILTO=mailman-owner
</pre></div>

<p>
at the beginning of crontab.in before installing it to cause this output to
be mailed to a real user or to the owner of the site list or to configure
the site list (see section <a href="site-list.html#site-list">8</a>) to accept this mail.
</div>

<p>
<br><hr><h4>Footnotes</h4>
<dl>
<dt><a name="foot580">... time</a><A
 HREF="node41.html#tex2html6"><sup>6</sup></a></dt>
<dd>Note that
if you're upgrading from a previous version of Mailman, you'll want to install
the new crontab, but be careful if you're running multiple Mailman
installations on your site!  Changing the crontab could mess with other
parallel Mailman installations.

</dd>
</dl>
<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="8 create a site-wide"
  href="site-list.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="10 start the Mailman"
  href="node42.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="site-list.html">8 Create a site-wide</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node42.html">10 Start the Mailman</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
